CommercialPaper.State
Keywords: net.corda.finance.contracts.CommercialPaper.State class
Date: 2023-09-18

net.corda.finance.contracts

## Class CommercialPaper.State

- net.corda.finance.contracts.CommercialPaper.State

- All Implemented Interfaces:
    ContractState, OwnableState, QueryableState
  Enclosing class:
    CommercialPaper

      public static class CommercialPaper.State
      implements OwnableState, QueryableState

- - ### Constructor Detail

    - #### State

          public State(@NotNull
                       PartyAndReference issuance,
                       @NotNull
                       AbstractParty owner,
                       @NotNull
                       Amount<net.corda.core.contracts.Issued> faceValue,
                       @NotNull
                       java.time.Instant maturityDate)

      Parameters:
        `owner` - There must be a MoveCommand signed by this key to claim the amount.

  - ### Method Detail

    - #### getParticipants

          @NotNull
          public java.util.List<net.corda.core.identity.AbstractParty> getParticipants()

      A participant is any party that should be notified when the state is created or consumed.

      The list of participants is required for certain types of transactions. For example, when changing the notary for this state, every participant has to be involved and approve the transaction so that they receive the updated state, and don't end up in a situation where they can no longer use a state they possess, since someone consumed that state during the notary change process.

      The participants list should normally be derived from the contents of the state.

    - #### withNewOwner

          @NotNull
          public CommandAndState withNewOwner(@NotNull
                                                       AbstractParty newOwner)

      Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone.

    - #### withoutOwner

          @NotNull
          public net.corda.finance.contracts.CommercialPaper.State withoutOwner()

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### withOwner

          @NotNull
          public net.corda.finance.contracts.ICommercialPaperState withOwner(@NotNull
                                                                                      AbstractParty newOwner)

    - #### withFaceValue

          @NotNull
          public net.corda.finance.contracts.ICommercialPaperState withFaceValue(@NotNull
                                                                                          Amount<net.corda.core.contracts.Issued> newFaceValue)

    - #### withMaturityDate

          @NotNull
          public net.corda.finance.contracts.ICommercialPaperState withMaturityDate(@NotNull
                                                                                             java.time.Instant newMaturityDate)

    - #### supportedSchemas

          @NotNull
          public java.lang.Iterable<net.corda.core.schemas.MappedSchema> supportedSchemas()

      Object Relational Mapping support.

    - #### generateMappedObject

          @NotNull
          public PersistentState generateMappedObject(@NotNull
                                                               MappedSchema schema)

      Object Relational Mapping support.

    - #### getIssuance

          @NotNull
          public PartyAndReference getIssuance()

    - #### getOwner

          @NotNull
          public AbstractParty getOwner()

      There must be a MoveCommand signed by this key to claim the amount.

    - #### getFaceValue

          @NotNull
          public Amount<net.corda.core.contracts.Issued> getFaceValue()

    - #### getMaturityDate

          @NotNull
          public java.time.Instant getMaturityDate()

    - #### component1

          @NotNull
          public PartyAndReference component1()

    - #### component2

          @NotNull
          public AbstractParty component2()

      There must be a MoveCommand signed by this key to claim the amount.

    - #### component3

          @NotNull
          public Amount<net.corda.core.contracts.Issued> component3()

    - #### component4

          @NotNull
          public java.time.Instant component4()

    - #### copy

          @NotNull
          public net.corda.finance.contracts.CommercialPaper.State copy(@NotNull
                                                                                 PartyAndReference issuance,
                                                                                 @NotNull
                                                                                 AbstractParty owner,
                                                                                 @NotNull
                                                                                 Amount<net.corda.core.contracts.Issued> faceValue,
                                                                                 @NotNull
                                                                                 java.time.Instant maturityDate)

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)